<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="If you are on a Windows machine, browse to C:\metasploit\apps\pro\msf3\modules. If you are on a Linux machine, browse to $HOME\opt\metasploit-&amp;lt;version&amp;gt;\apps\pro\msf3\modules. &#xD;&#xA;" /><title>How do I add a module to Metasploit?</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-add-modules.html">Open topic with navigation</a>
        </p>
        <h3 class="FAQ">How do I add a module to Metasploit?</h3>
        <p>If you are on a Windows machine, browse to <code class="usertype">C:\metasploit\apps\pro\msf3\modules</code>. If you are on a Linux machine, browse to <code class="usertype">$HOME\opt\metasploit-&lt;version&gt;\apps\pro\msf3\modules</code>. </p>
        <p>
You must match the path of the exploit with the physical structure defined within the Metasploit module directory. For example, if you want to use exploit/multi/browser/firefox_xpi_bootstrapped_addon, you must browser to<code class="usertype"> C:\metasploit\apps\pro\msf3\modules\exploits\multi\browser</code> and add the module to that location.</p>
        <p> 
After you add a module, open the Metasploit console and type <code class="usertype">reload_all</code> to refresh your module list. </p>
    </body>
</html>